Subject: [PATCH 0/2] crypto: sunxi-ss: fix 64-bit compilation

From: [email-masked] (Andre Przywara)
Date: Fri, 8 Jan 2016 11:15:05 +0000

Hi Herbert,

On 08/01/16 09:59, Herbert Xu wrote:
> On Thu, Jan 07, 2016 at 03:58:16PM +0000, Andre Przywara wrote:
>> Hi,
>>
>> these two patches provide a different approach to an issue I tried
>> to fix lately [1].
>> Instead of casting everything I now promote local types to size_t, so
>> that the min3() arguments naturally match in type.
>> As size_t is defined as "unsigned int" on 32-bit architectures
>> anyway, that actually does not change anything there, but instead
>> provides a clean approach to get it compiled for arm64.
>>
>> I split this up because 1/2 seems much cleaner to me than 2/2, so we
>> can have a separate discussion/merge process on this.
> 
> If this is meant for the crypto tree it needs to go to the linux-crypto
> list.

Oh dear, I planned on adding the list, but eventually forgot it. Sorry
for that, I will resend it to linux-crypto.

Thanks for pointing this out!

Cheers,
Andre.